NULL Pointer Dereference

Affecting openldap package, versions <2.4.42+dfsg-2ubuntu3.10

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

Affected versions of this package are vulnerable to NULL Pointer Dereference. A NULL pointer dereference was found in OpenLDAP server and was fixed in openldap 2.4.55, during a request for renaming RDNs. An unauthenticated attacker could remotely crash the slapd process by sending a specially crafted request, causing a Denial of Service.

Remediation

Upgrade openldap to version or higher.

References

CVSS Score

7.5
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    None
  • Integrity
    None
  • Availability
    High
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
CVE
CVE-2020-25692
CWE
CWE-476
Snyk ID
SNYK-UBUNTU1604-OPENLDAP-1035740
Disclosed
08 Dec, 2020
Published
04 Nov, 2020